TreeTransferOutcome (The Data transfer common objects 2.0.0-3.7.0 API)
Date: 2015-05-19

org.gcube.datatransfer.common.outcome

## Class TreeTransferOutcome

- java.lang.Object
- - org.gcube.datatransfer.common.outcome.TransferOutcome
  - - org.gcube.datatransfer.common.outcome.TreeTransferOutcome

- All Implemented Interfaces:
    Serializable

      public class TreeTransferOutcome
      extends TransferOutcome
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeTransferOutcome()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDestID()`
    `String` | `getSourceID()`
    `int` | `getTotalReadTrees()`
    `int` | `getTotalWrittenTrees()`
    `void` | `setDestID(String destID)`
    `void` | `setSourceID(String sourceID)`
    `void` | `setTotalReadTrees(int totalReadTrees)`
    `void` | `setTotalWrittenTrees(int totalWrittenTrees)`

    - ### Methods inherited from class org.gcube.datatransfer.common.outcome.TransferOutcome

      `failure, getException, isFailure, isSuccess, setException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeTransferOutcome

          public TreeTransferOutcome()

  - ### Method Detail

    - #### getSourceID

          public String getSourceID()

    - #### getDestID

          public String getDestID()

    - #### setSourceID

          public void setSourceID(String sourceID)

    - #### setDestID

          public void setDestID(String destID)

    - #### getTotalReadTrees

          public int getTotalReadTrees()

    - #### getTotalWrittenTrees

          public int getTotalWrittenTrees()

    - #### setTotalReadTrees

          public void setTotalReadTrees(int totalReadTrees)

    - #### setTotalWrittenTrees

          public void setTotalWrittenTrees(int totalWrittenTrees)

Copyright © 2015. All Rights Reserved.